## TriangulationHierarchyVertexBase_3

### Definition

The vertex base used by Triangulation_hierarchy_3 must provide access to two vertex handles for linking between the levels of the hierarchy.

### Refines

TriangulationVertexBase_3

### Access Functions

Vertex_handle | v.up () const | Returns the Vertex_handle pointing to the level above.
Vertex_handle | v.down () const | Returns the Vertex_handle pointing to the level below.

### Setting

void | v.set_up ( Vertex_handle v)
|  | Sets the Vertex_handle pointing to the level above to v.
void | v.set_down ( Vertex_handle v)
|  | Sets the Vertex_handle pointing to the level below to v.

### Has Models

CGAL::Triangulation_hierarchy_vertex_base_3